import Head from 'next/head'
import React, {useCallback, useEffect, useState} from 'react';
import CoursesCarousel from '@/components/courses/CoursesCarousel'
import WorkshopsCarousel from '@/components/workshops/WorkshopsCarousel'
import MenuTab from '@/components/menutab/MenuTab'
import { useNostr } from '@/hooks/useNostr'

const homeItems = [
    { label: 'Top', icon: 'pi pi-star' },
    { label: 'Courses', icon: 'pi pi-desktop' },
    { label: 'Workshops', icon: 'pi pi-cog' },
    { label: 'Resources', icon: 'pi pi-book' },
    { label: 'Streams', icon: 'pi pi-video' }
  ];

export default function Content() {
  const { fetchResources, fetchCourses } = useNostr();

  useEffect(() => {
    fetchResources();
    fetchCourses();
  }, [fetchResources, fetchCourses]);

  return (
    <>
      <Head>
        <title>Create Next App</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <main>
        <MenuTab items={homeItems} />
        <CoursesCarousel />
        <WorkshopsCarousel />
      </main>
    </>
  )
}
